# Create a payout originator

`POST https://api.strike.me/v1/payout-originators`

Source: https://docs.strike.me/api/create-a-payout-originator/

---

Required scopes:

- partner.payout-originator.create

## Request body

`application/json`, required

- Option 1: `type` = `INDIVIDUAL`
  - `dateOfBirth` (date): Date of birth of the individual.
  - `type` (string, required): Type of the originator. One of `INDIVIDUAL`, `COMPANY`.
  - `name` (string, required): Originator's name.
  - `address` (object, required): Originator's address.
    - `country` (string, required): ISO 3166-1 alpha-2 code for the country.
    - `state` (string): State code based on the country.
    - `city` (string, required): The name of the city or town.
    - `postCode` (string, required): The postal code or ZIP code for the address.
    - `line1` (string, required): The street address.
- Option 2: `type` = `COMPANY`
  - `email` (string): Email address of the company.
  - `phoneNumber` (string): Phone number of the company.
  - `url` (string): URL of the company's website.
  - `type` (string, required): Type of the originator. One of `INDIVIDUAL`, `COMPANY`.
  - `name` (string, required): Originator's name.
  - `address` (object, required): Originator's address.
    - `country` (string, required): ISO 3166-1 alpha-2 code for the country.
    - `state` (string): State code based on the country.
    - `city` (string, required): The name of the city or town.
    - `postCode` (string, required): The postal code or ZIP code for the address.
    - `line1` (string, required): The street address.

## Responses

### 201 Created

`application/json`

- `id` (uuid, required): Id of the originator.
- `state` (string, required): State of the originator. One of `PENDING_REVIEW`, `APPROVED`, `REJECTED`, `INACTIVE`.
- `created` (date-time, required): Time at which originator has been created.
- `details` (one of, required): Details about the originator.
  - Option 1: `type` = `INDIVIDUAL`
    - `dateOfBirth` (date): Date of birth of the individual.
    - `type` (string, required): Type of the originator. One of `INDIVIDUAL`, `COMPANY`.
    - `name` (string, required): Originator's name.
    - `address` (object, required): Originator's address.
      - `country` (string, required): ISO 3166-1 alpha-2 code for the country.
      - `state` (string): State code based on the country.
      - `city` (string, required): The name of the city or town.
      - `postCode` (string, required): The postal code or ZIP code for the address.
      - `line1` (string, required): The street address.
  - Option 2: `type` = `COMPANY`
    - `email` (string): Email address of the company.
    - `phoneNumber` (string): Phone number of the company.
    - `url` (string): URL of the company's website.
    - `type` (string, required): Type of the originator. One of `INDIVIDUAL`, `COMPANY`.
    - `name` (string, required): Originator's name.
    - `address` (object, required): Originator's address.
      - `country` (string, required): ISO 3166-1 alpha-2 code for the country.
      - `state` (string): State code based on the country.
      - `city` (string, required): The name of the city or town.
      - `postCode` (string, required): The postal code or ZIP code for the address.
      - `line1` (string, required): The street address.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
